IteratedHash< T_HashWordType, T_Endianness, T_BlockSize, T_Base > Class Template Reference

_ More...

Inheritance diagram for IteratedHash< T_HashWordType, T_Endianness, T_BlockSize, T_Base >:

## Public Types

typedef T_Endianness | ByteOrderClass
typedef T_HashWordType | HashWordType
Public Types inherited from IteratedHashBase< T_HashWordType, T_Base >
typedef T_HashWordType | HashWordType

## Public Member Functions

unsigned int | BlockSize () const
ByteOrder | GetByteOrder () const
Public Member Functions inherited from IteratedHashBase< T_HashWordType, T_Base >
unsigned int | OptimalBlockSize () const
unsigned int | OptimalDataAlignment () const
void | Update (const byte *input, size_t length)
byte * | CreateUpdateSpace (size_t &size)
void | Restart ()
void | TruncatedFinal (byte *digest, size_t size)

## Static Public Member Functions

static void | CorrectEndianess (HashWordType *out, const HashWordType *in, size_t byteCount)

## Static Public Attributes

static const int | BLOCKSIZE = T_BlockSize

## Detailed Description

### template<class T_HashWordType, class T_Endianness, unsigned int T_BlockSize, class T_Base = HashTransformation>
class IteratedHash< T_HashWordType, T_Endianness, T_BlockSize, T_Base >

_

Definition at line 55 of file iterhash.h.

The documentation for this class was generated from the following file:

- iterhash.h